cPanel update failure during update now (spam assassin problem)

AllianceOne

Member
Oct 23, 2008
7
0
51
Hi there.. i'm getting this error:

[2015-06-22 21:18:30 -0300] package cpanel-php54-Horde-Text-Filter-2.1.3-1.cp1150.noarch is already installed
[2015-06-22 21:18:30 -0300] package cpanel-perl-514-Mail-SpamAssassin-3.004000-4.cp1146.x86_64 is already installed
[2015-06-22 21:18:30 -0300] W Exit Code: 254
[2015-06-22 21:18:30 -0300] ***** FATAL: Test install failed: package MySQL55-client-5.5.42-4.cp1148.x86_64 is already installed
[2015-06-22 21:18:30 -0300] package compat-MySQL51-shared-5.1.73-1.cp1150.x86_64 is already installed
[2015-06-22 21:18:30 -0300] package pure-ftpd-1.0.36-4.cp1150.x86_64 is already installed
[2015-06-22 21:18:30 -0300] package cpanel-php54-5.4.31-3.cp1150.x86_64 is already installed
[2015-06-22 21:18:30 -0300] package cpanel-php54-Horde-Util-2.3.0-1.cp1150.noarch is already installed
[2015-06-22 21:18:30 -0300] package cpanel-php54-Horde-Url-2.2.1-1.cp1150.noarch is already installed
[2015-06-22 21:18:30 -0300] package cpanel-php54-Horde-Text-Filter-2.1.3-1.cp1150.noarch is already installed
[2015-06-22 21:18:30 -0300] package cpanel-perl-514-Mail-SpamAssassin-3.004000-4.cp1146.x86_64 is already installed
[2015-06-22 21:18:30 -0300] The Administrator will be notified to review this output when this script completes
[2015-06-22 21:18:30 -0300] ***** FATAL: Error testing if the RPMs will install: Test install failed: package MySQL55-client-5.5.42-4.cp1148.x86_64 is already installed
[2015-06-22 21:18:30 -0300] package compat-MySQL51-shared-5.1.73-1.cp1150.x86_64 is already installed
[2015-06-22 21:18:30 -0300] package pure-ftpd-1.0.36-4.cp1150.x86_64 is already installed
[2015-06-22 21:18:30 -0300] package cpanel-php54-5.4.31-3.cp1150.x86_64 is already installed
[2015-06-22 21:18:30 -0300] package cpanel-php54-Horde-Util-2.3.0-1.cp1150.noarch is already installed
[2015-06-22 21:18:30 -0300] package cpanel-php54-Horde-Url-2.2.1-1.cp1150.noarch is already installed
[2015-06-22 21:18:30 -0300] package cpanel-php54-Horde-Text-Filter-2.1.3-1.cp1150.noarch is already installed
[2015-06-22 21:18:30 -0300] package cpanel-perl-514-Mail-SpamAssassin-3.004000-4.cp1146.x86_64 is already installed
[2015-06-22 21:18:30 -0300] see http://go.cpanel.net/rpmcheckfailed for more information
[2015-06-22 21:18:30 -0300] The Administrator will be notified to review this output when this script completes
=> Log closed Mon Jun 22 21:18:30 2015
[2015-06-22 21:18:33 -0300] 17% complete
[2015-06-22 21:18:33 -0300] E Running `/usr/local/cpanel/scripts/updatenow --upcp --log=/var/cpanel/updatelogs/update.1435018382.log` failed, exited with code 1 (signal = 0)
can't open a ticket because when run "/usr/local/cpanel/cpanel -S" i got:

[email protected] [/]# `/usr/local/cpanel/cpanel -S`

DBD::SQLite object version 1.42 does not match $DBD::SQLite::VERSION 1.46.
also can't access the server via WHM, because says:

cPanel & WHM Update in Progress
This functionality is not available until the cPanel update is complete.
Once the update is completed, you will no longer see this message. If the update has completed since loading this page, click here to reload.
can you please help me?
i'm using centos 5.11 64-bit
 

24x7ss

Well-Known Member
Sep 30, 2014
272
17
68
India
cPanel Access Level
Root Administrator
Twitter
Hello,

It seems most of the part from error you gave is missing. Can you provide complete error you get for rpms that are already installed ?
 

AllianceOne

Member
Oct 23, 2008
7
0
51
Hello, we have solved running several times:
/usr/local/cpanel/scripts/check_cpanel_rpms --fix

thank you.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,218
463
Hello :)

I am happy to see the issue is now resolved. Note that it's typically addressed with the following command:

Code:
/usr/local/cpanel/scripts/autorepair fix_duplicate_cpanel_rpms
Thank you.